2025 API changelog for CMP
December 3, 2025 – New endpoint
Introduced PATCH /milestones/{id}PATCH /milestones/, which updates a milestone. All parameters in the request body are optional but not nullable. Only the provided fields are updated.
December 2, 2025 – New endpoint
Introduced POST /tasks/{task_id}/urls, which lets you add a URL to a task. See POST /tasks/{task_id}/urlsPOST /tasks//urls for information.
November 25, 2025 – New endpoint
Introduced POST /milestonesPOST /milestones, which creates a milestone. This defaults to the organization's campaign if campaign_id is omitted. This validates tasks against the selected campaign and ensures they belong to it.
November 10, 2025 – New endpoint
Introduced DELETE /folders/{id}DELETE /folders/, which lets you delete a folder, including all its assets. This is a soft delete that moves the folder to CMP's Recycle Bin.
October 29, 2025 – API update
Added the ability to assign teams to individual sub-steps within a task. All API endpoints that return the sub-step data of a task now include the assignee_type attribute, specifying whether the assignee is a user or a team.
October 6, 2025 – New endpoint
Introduced PATCH /folders/{id}, which lets you update a particular folder's name or parent. See PATCH /folders/{id}PATCH /folders/ for information.
September 15, 2025 – API updates
- Added template details to the work\_request\_added webhook eventwork\_request\_added webhook event.
- Added the ability to filter the GET /work-requestsGET /work-requests by template_id, created_at__from, and created_at__to.
August 20, 2025 – API update
Updated POST /tasks/:taskId/assets to accommodate adding assets to tasks in different mechanisms. Previously, the API only let you add uploaded assets by providing the key and title of the asset. The updated API lets you fork an existing asset from the Library and add it to the task using the content guid of the Library asset.
A new type parameter has been added to the request body with these values:
- direct_upload – This is an asset uploaded using the upload assets endpointupload assets endpoint.
- fork_from_library – This forks an existing asset from the Library and adds it to the task. The type field is optional and defaults to direct_upload if not provided.
See the POST /tasks/{id}/assetsPOST /tasks//assets for the full request body details.
August 4, 2025 – API update
Added the users field in the response body for get-teams-by-id – GET /teams/{id}, which is an array of objects containing information for respective users in that team, such as ID, name, and email.
July 29, 2025 – New endpoint
Introduced the GET /v3/events/:id/fields endpoint to fetch the list of fields for that event.
July 22, 2025 – API update
Added the following properties to the request body for PATCH /tasks/:taskld:
- title – Lets you update the title of the task.
- start_date – Sets the start date of the task in ISO 8601 format.
- due_at – Sets the due date for the task in ISO 8601 format.
- campaign_id – Lets you link the task to a campaign.
- workflow_id – Lets you update the workflow associated with the task.
July 14, 2025 – New endpoint
Introduced the PATCH /tasks/:taskId/steps/:stepId endpoint to update a task's specific step. For now, CMP only lets you update the step's due date through the due_at property in the request body.
July 14, 2025 – API update
Added an optional owner_id property to PATCH /tasks/:taskId, letting you update a task's owner.
June 23, 2025 – API update
- Added the workflow_id field to the response body of the GET /tasks/{id}GET /tasks/ endpoint, indicating the workflow to which the task is associated.
- Added the roles field to each user object in the response body of the GET /userlistGET /userlist endpoint, which contains a list of objects with the property name, indicating the names of the roles assigned to each respective user.
June 16, 2025 – API update
Added the type field in the response body for the GET /work-requestsGET /work-requests, POST /work-requestsPOST /work-requests, and GET /work-requests/{id}GET /work-requests/ endpoints to indicate whether the assignee is a user or a team.
June 3, 2025 – API update
Added created_at to the response body for the POST /campaignsPOST /campaigns and GET /campaigns/{id}GET /campaigns/ endpoints.
May 29, 2025 – API update
Added the asset_ids_without_field_inheritance body parameter for the POST /work-requests/{id}/tasksPOST /work-requests//tasks endpoint, which you can use to disable field inheritance for specific assets when creating a task from a work request.
May 15, 2025 – New endpoint
Introduced the GET /tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}/fields endpoint, which lets you fetch the fields of a task substep.
March 13, 2025 – API updates
- Added settings_field_id to the GET /tasks/{id}/briefGET /tasks//brief response body.
- Updated the GET /assetsGET /assets endpoint to clarify the query param fields.
- Added reference_id to POST /work-requests/{id}/tasksPOST /work-requests//tasks.
March 12, 2025 – API update
Updated the minimum file_size value for POST /v3/multipart-uploadsPOST /v3/multipart-uploads to 1 byte.
March 11, 2025 – New endpoints
Introduced three endpoints to support multipart upload (uploading single files in multiple parts):
- POST /v3/multipart-uploadsPOST /v3/multipart-uploads – Create pre-signed URLs for multipart upload of large files.
- GET /v3/multipart-uploads/{id}/statusGET /v3/multipart-uploads//status – Retrieve the current status of a multipart upload.
- POST /v3/multipart-uploads/{id}/completePOST /v3/multipart-uploads//complete – Initiate completion of a multipart upload after all parts have been uploaded.
March 4, 2025 – New endpoint
Introduced the POST campaigns/{id}/fields end point, which lets you add a field to a campaign.
February 20, 2025 – Webhook updates
- Added a new event_modified webhook, which alerts you when an event was modified. See EventEvent.
- Updated webhook page titles to reduce confusion:
- Event delivery is now Webhook event deliveryWebhook event delivery.
- Campaign events is now CampaignCampaign.
- External work management events is now External work managementExternal work management.
- Library events is now LibraryLibrary.
- Publish events is now PublishPublish.
- Task events is now TaskTask.
- Work request events is now Work requestWork request.
February 10, 2025 – API updates
- Added the search query param to the GET v3/templates endpoint to filter templates by their title.
- Introduced the PATCH /events/{id} endpoint, which lets you update an event.
January 29, 2025 – API updates
- Updated the POST v3/tasks endpoint to clarify the behavior of the start_at and due_at fields in the request body.
- Updated the POST v3/work-requests/:id/tasks endpoint to clarify the behavior of the start_at and due_at fields in the request body.
January 27, 2025 – New endpoint
Introduced the PUT /events/{id}/fields endpoint, which lets you replace existing fields of an event.
January 14, 2025 – New endpoint
Introduced the POST /events endpoint, which lets you create an event.
January 8, 2025 – New endpoint
Introduced the GET /userlist endpoint, which lets you fetch a list of users.